# This file created by conda-build 3.18.9
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Tue Oct  1 22:07:05 2019
# ------------------------------------------------

package:
    name: pyro4
    version: '4.77'
source:
    fn: Pyro4-4.77.tar.gz
    sha256: 2bfe12a22f396474b0e57c898c7e2c561a8f850bf2055d8cf0f7119f0c7a523f
    url: https://pypi.io/packages/source/P/Pyro4/Pyro4-4.77.tar.gz
build:
    entry_points:
        - pyro4-check-config = Pyro4.configuration:main
        - pyro4-flameserver = Pyro4.utils.flameserver:main
        - pyro4-httpgateway = Pyro4.utils.httpgateway:main
        - pyro4-ns = Pyro4.naming:main
        - pyro4-nsc = Pyro4.nsc:main
        - pyro4-test-echoserver = Pyro4.test.echoserver:main
    noarch: python
    number: '0'
    script: /home/conda/feedstock_root/build_artifacts/pyro4_1569967711785/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
        -m pip install . --no-deps -vv
    string: py_0
requirements:
    host:
        - _libgcc_mutex 0.1 main
        - ca-certificates 2019.9.11 hecc5488_0
        - certifi 2019.9.11 py27_0
        - libffi 3.2.1 he1b5a44_1006
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - ncurses 6.1 hf484d3e_1002
        - openssl 1.1.1c h516909a_0
        - pip 19.2.3 py27_0
        - python 2.7.15 h5a48372_1009
        - readline 8.0 hf8c457e_0
        - serpent 1.28 py_0
        - setuptools 41.2.0 py27_0
        - sqlite 3.29.0 hcee41ef_1
        - tk 8.6.9 hed695b0_1003
        - wheel 0.33.6 py27_0
        - zlib 1.2.11 h516909a_1006
    run:
        - python
        - serpent >=1.27
test:
    commands:
        - pyro4-ns --help
        - pyro4-nsc --help
        - pyro4-test-echoserver --help
        - pyro4-check-config --help
        - pyro4-flameserver --help
        - pyro4-httpgateway --help
    imports:
        - Pyro4
        - Pyro4.socketserver
        - Pyro4.test
        - Pyro4.utils
about:
    home: https://pyro4.readthedocs.io
    license: MIT
    summary: Distributed object middleware for Python (RPC)
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - Juanlu001
        - irmen
        - whart222
